summaryrefslogtreecommitdiffstats
path: root/scripts/zimport.sh
diff options
context:
space:
mode:
authorBrian Behlendorf <[email protected]>2014-07-22 14:43:22 -0700
committerBrian Behlendorf <[email protected]>2014-07-25 11:58:31 -0700
commit093219a6b333d9e04dde3cbb282d262016ad5ef6 (patch)
treed91c6a8ddd3cfa950b7ea3c6e23cc56e04885d57 /scripts/zimport.sh
parent1139491da702a160a2ea927d1d737a2cb45e51e8 (diff)
zpool-create.sh: allow features to be disabled
The zimport.sh script makes use of the zpool-create.sh script to construct test pools for importing with older versions of ZoL. It is desirable to have a way to disable all the features so new pools can be imported with older code. The simplest and most flexible way to achieve this was to merge the VERBOSE_FLAG and FORCE_FLAG in to a single ZPOOL_FLAGS variable. The contents of this variable will be used in the 'zpool create' allowing us to easily pass arbitrary flags. Signed-off-by: Brian Behlendorf <[email protected]> Signed-off-by: Prakash Surya <[email protected]> Closes #2524
Diffstat (limited to 'scripts/zimport.sh')
-rwxr-xr-xscripts/zimport.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/scripts/zimport.sh b/scripts/zimport.sh
index 0e33e4b24..d702be579 100755
--- a/scripts/zimport.sh
+++ b/scripts/zimport.sh
@@ -237,7 +237,7 @@ pool_create() {
# Create a file vdev RAIDZ pool.
FILEDIR="$POOL_DIR_PRISTINE" $ZPOOL_CREATE \
- -c file-raidz -p $POOL_TAG -v >/dev/null || fail 2
+ -c file-raidz -p $POOL_TAG -v -x >/dev/null || fail 2
# Create a pool/fs filesystem with some random contents.
$ZFS_CMD create $POOL_TAG/fs || fail 3